      subroutine args(argdim,use,argmx,argt,argtl)

c     get the arguments from the command line.

c     Trailing spaces are eliminated.

c     This version for g77.

      implicit none

c input:

c     declared number of arguments
      integer argdim

c     message to show if there are too many arguments
      character*(*) use

c output:

c     number of arguments
      integer argmx

c     arguments
      character*132 argt(argdim)
      integer argtl(argdim)

c local:

c     argument index
      integer arg

c     character index
      integer i

c     returns command line parameters
      integer iargc
      external iargc,getarg

c executable:

 1    format(a)

      argmx=iargc()
      if(argmx.le.0)return
      if(argmx.gt.argdim)then
         print1,use
         call exit(1)
      endif

      do 100 arg=1,argmx
         argt(arg)=' '
         call getarg(arg,argt(arg))
         do 10 i=132,1,-1
            argtl(arg)=i
            if(argt(arg)(i:i).gt.' ' .and. argt(arg)(i:i).le.'~')
     &       goto 100
 10      continue
         print1,use
         call exit(1)
 100  continue

      return
      end
