      integer function coldis(col1,col2)

c     Return the distance between two valid 6-digit uppercase hex colors.
c     Less than about 150 is hard to distinguish.

      implicit none

c input

c     colors to compare
      character*6 col1,col2

c local

c     hex characters
      character*16 hex
      parameter (hex='0123456789ABCDEF')

c executable

c     compare
      coldis=
     & abs(index(hex,col1(1:1))*16+index(hex,col1(2:2))
     &    -index(hex,col2(1:1))*16-index(hex,col2(2:2)))+
     & abs(index(hex,col1(3:3))*16+index(hex,col1(4:4))
     &    -index(hex,col2(3:3))*16-index(hex,col2(4:4)))+
     & abs(index(hex,col1(5:5))*16+index(hex,col1(6:6))
     &    -index(hex,col2(5:5))*16-index(hex,col2(6:6)))

      return
      end
