      subroutine lsttgn(ssemax,ssedsc,ssemrk)

c     List the descriptive tags that have a nonzero ssemrk with numbers

c     avoid typos
      implicit none

c input

c     number of style sheet tags that are editable
      integer ssemax
c     editable style sheet tag descriptions
      character*(*) ssedsc(ssemax)
c     selectors
      integer ssemrk(ssemax)

c local

c     declared editable style sheet description name length
      integer ssedsd

c     actual editable style sheet tag name length
      integer ssedsl

c     editable style sheet tag index
      integer sse

c     number
      character*20 cnum
      integer cnuml

c     output line
      character*80 line
      integer linelt

c executable

c     get string dimension
      ssedsd=len(ssedsc(1))

c     initialize the line
      line=' '
      linelt=3

c     print the marked strings
      do 100 sse=1,ssemax

         if(ssemrk(sse).eq.0)goto 100

         ssedsl=index(ssedsc(sse),'  ')-1
         if(ssedsl.le.0)then
            ssedsl=ssedsd
            if(ssedsc(sse)(ssedsl:ssedsl).eq.' ')ssedsl=ssedsl-1
         endif

         call encint(sse,cnuml,cnum)

         if(linelt+3+cnuml+2+ssedsl.gt.75)then
            call out2(line(1:linelt))
            linelt=3
         endif

         line(linelt+1:linelt+3+cnuml+2+ssedsl)=
     &    '   '//cnum(1:cnuml)//': '//ssedsc(sse)(1:ssedsl)
         linelt=linelt+3+cnuml+2+ssedsl

 100  continue

      if(linelt.gt.3)call out2(line(1:linelt))

      return
      end
