      subroutine readvl(line,val,*)

c     Read a real value entered by the user.

c     if the number is invalid, takes the alternate return.

c     avoid typos
      implicit none

c input

c     line as entered by the user
      character*(*) line

c output

c     entered value
      real val

c local

c     number of signs read
      integer sgn
c     number of decimal points read
      integer point
c     number of digits read
      integer digit
c     divisor
      real divis
c     whether we have the number
      integer havnum

c     character index
      integer i

c executable

      val=0.
      sgn=0
      point=0
      digit=0
      divis=1.
      havnum=0
      do 500 i=1,len(line)
         if(line(i:i).ge.'0' .and. line(i:i).le.'9')then
            if(havnum.ne.0)goto 900
            digit=digit+1
            if(point.eq.0)then
               val=val*10.+(ichar(line(i:i))-48.)
            else
               divis=divis/10.
               val=val+(ichar(line(i:i))-48.)*divis
            endif
         else if(line(i:i).eq.'.')then
            if(havnum.ne.0 .or. point.ne.0)goto 900
            point=1
         else if(line(i:i).eq.'-')then
            if(digit.ne.0 .or. point.ne.0 .or. sgn.ne.0)goto 900
            sgn=1
         else if(line(i:i).le.' ')then
            if(digit.ne.0 .or. point.ne.0 .or. sgn.ne.0)havnum=1
         else
            goto 900
         endif
 500  continue
      if(digit.eq.0)goto 900
      if(sgn.ne.0 .and. val.eq.0.)goto 900
      if(sgn.ne.0)val=-val
      return

 900  call out('** Invalid number entered')
      return 1
      end
