      subroutine set1(bufdim,bufmax,bufstr,bufmx2,bufst2,use2)

c     If use2 is nonzero, copies bufst2 to bufstr and sets use2 to zero.

c     avoid typos
      implicit none

c input/output

c     declared primary and secondary file buffer sizes
      integer bufdim
c     actual file buffer sizes
      integer bufmax,bufmx2
c     buffers
      character*1 bufstr(bufdim),bufst2(bufdim)

c     whether the original is in bufst2
      integer use2

c local

c     index
      integer i

c executable:

c     return if already OK
      if(use2.eq.0)return

c     copy over
      do 100 i=1,bufmx2
         bufstr(i)=bufst2(i)
 100  continue
      bufmax=bufmx2

c     reset use2
      use2=0

c     all done
      return
      end
