      subroutine fatal(msg)

c     Terminate execution on error, printing error message msg.

      implicit none

c input:

c     message to show
      character*(*) msg

c executable

      print10,char(7),msg
 10   format(a1,'*** ',a,'.')

      call fatal0

      end



      subroutine fatal2(msg1,msg2)

c     Terminate execution on error, printing error message msg1msg2.

      implicit none

c input:

c     message to show
      character*(*) msg1
      character*(*) msg2

c executable

      print10,char(7),msg1,msg2
 10   format(a1,'*** ',a,a,'.')

      call fatal0

      end



      subroutine fatali(msg,int)

c     Terminate execution on error, showing message msg and integer int.

      implicit none

c input:

c     message to show
      character*(*) msg
c     integer to show
      integer int

c local:

c     integer as string
      character*20 ci
c     string limits
      integer i1,i2
c     character index
      integer i

c executable

      write(ci,10)int
 10   format(i20)

      do 20 i=1,20
         i1=i
         if(ci(i:i).gt.' ')goto 21
 20   continue
      call fatal2(msg,'[invalid]')
 21   do 30 i=20,1,-1
         i2=i
         if(ci(i:i).gt.' ')goto 31
 30   continue
 31   call fatal2(msg,ci(i1:i2))

      return
      end



      subroutine fatal0

c     Terminate execution on error.

      implicit none

      call exit(1)

      end
