      subroutine copy(dim1,max1,str1,dim2,max2,str2)

c     Copy string 1 into string 2.  String 2 must be big enough to hold
c     it.

c     avoid typos
      implicit none

c arguments:

c     declared dimension of string 1
      integer dim1
c     actual length of string 1
      integer max1
c     string 1
      character*1 str1(dim1)

c     declared dimension of string 2
      integer dim2
c     actual length of string 2
      integer max2
c     string 2
      character*1 str2(dim2)

c local:

c     index
      integer i

c executable:

      if(max1.gt.dim2)call fatal(
     & 'Program error.  Target string size exceeded.')

      max2=max1
      do 100 i=1,max1
         str2(i)=str1(i)
 100  continue

      return
      end
