      subroutine typep(fil)

c     Type the given file to the screen and pause.

c     avoid typos
      implicit none

c input

c     file to type
      character*(*) fil

c executable

      call type(fil)
      call pause

      return
      end



      subroutine type(fil)

c     Type the given file to the screen.

c     avoid typos
      implicit none

c input

c     file to type
      character*(*) fil

c common

c     path string
      character*132 path
c     actual path string length
      integer pathl
      common /cmpath/pathl,path

c local

c     fixed size file name to keep g77 happy
      character*20 fl
      integer fll

c     input file of up to 24 lines and a bit
      character*1 in(2048)
      integer inl

c     whether the file exists
      logical exists

c     whether to ring the bell
      integer bell

c     index
      integer i

c executable

c     move file spec to local
      fll=len(fil)
      if(fll.gt.20)call fatal(
     & '*** Program error: file name too long in type!')
      fl(1:fll)=fil

c     check for existence
      inquire(file=path(1:pathl)//fl(1:fll)//'.txt',exist=exists)
      if(.not.exists)then
         call out('** Program error?  Info file '//fl(1:fll)//
     &    'does not exist')
         return
      endif

c     read the file
      call readfu(path(1:pathl)//fl(1:fll)//'.txt',pathl+fll+4,
     & 11,2048,inl,in)

c     decide whether we need to ring the bell
      bell=0
      if(inl.ge.4)then
         if(in(1).eq.'*' .or. in(3).eq.'*' .or. in(4).eq.'*')
     &    bell=1
      endif

c     print the file
      if(bell.eq.0)then
         print20,(in(i),i=1,inl)
      else
         print20,char(7),(in(i),i=1,inl)
      endif
 20   format(2050a1)

      return
      end


